base-compat-0.8.2: A compatibility layer for base

Safe Haskell | Safe
Language | Haskell98

Data.Word.Compat

Synopsis

- byteSwap16 :: Word16 -> Word16
- byteSwap32 :: Word32 -> Word32
- byteSwap64 :: Word64 -> Word64

# Documentation

byteSwap16 :: Word16 -> Word16

Swap bytes in `Word16`.

Since: 4.7.0.0

byteSwap32 :: Word32 -> Word32

Reverse order of bytes in `Word32`.

Since: 4.7.0.0

byteSwap64 :: Word64 -> Word64

Reverse order of bytes in `Word64`.

Since: 4.7.0.0